slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDGetDimensions

Gets the number of singular values to compute and the dimension of the subspace.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetDimensions(SVD svd,PetscInt *nsv,PetscInt *ncv,PetscInt *mpd)

Not Collective

### Input Parameter

| svd | - the singular value context

### Output Parameters

| nsv | - number of singular values to compute
| ncv | - the maximum dimension of the subspace to be used by the solver
| mpd | - the maximum dimension allowed for the projected problem

### Notes

The user can specify NULL for any parameter that is not needed.

### See Also

SVDSetDimensions()

### Level

intermediate

### Location

src/svd/interface/svdopts.c

### Examples

src/svd/tutorials/ex14.c
src/svd/tutorials/ex15.c
src/svd/tutorials/ex15f.F90
src/svd/tutorials/ex45.c
src/svd/tutorials/ex52.c
src/svd/tutorials/ex53.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages